#
# Conditional build:
%bcond_with	tests	# perform "make test" (these fail on PLD)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	URPM
%define		pdir	perl-URPM
Summary:	URPM - manipulate and manage rpm files, hdlist files and rpm header files
Summary(pl.UTF-8):	URPM - manipulowanie i zarządzanie plikami rpm, hdlist i nagłówkami rpm
Name:		perl-URPM
Version:	4.43
Release:	5
License:	GPL v2+ or Artistic
Group:		Development/Languages/Perl
Source0:	%{pnam}-%{version}.tar.xz
# Source0-md5:	3a7d80c2f708339fef0055cae9b0f799
URL:		https://abf.rosalinux.ru/omv_software/perl-URPM
BuildRequires:	bzip2-devel
BuildRequires:	perl-MDV-Packdrakeng
BuildRequires:	perl-List-MoreUtils >= 0.32
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-devel >= 5.4
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	rpm
Requires:	perl(MDV::Packdrakeng)
Conflicts:	rpm < 5.3
Conflicts:	urpmi < 6.44
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The URPM module allows you to manipulate rpm files, rpm header files,
hdlist files and manage them in memory.

%description -l pl.UTF-8
Moduł URPM pozwala na manipulowanie plikami rpm, nagłówkami plików
rpm, plikami hdlist oraz zarządzanie nimi w pamięci.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%{_mandir}/man3/*
%{perl_vendorarch}/URPM
%{perl_vendorarch}/URPM.pm
%dir %{perl_vendorarch}/auto/URPM
%attr(755,root,root) %{perl_vendorarch}/auto/URPM/URPM.so
%changelog
* Sat Sep 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-URPM.git;a=log;h=master

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 941a377
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ea2d902
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 345e1cf
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Mon Aug 26 2013 Elan Ruusamäe <glen@delfi.ee> a150bd7
- new url

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1b6c579
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Mon Dec 03 2012 Jan Rękorajski <baggins@pld-linux.org> c51f560
- PLD rpm has no epoch
- rel 2

* Mon Dec 03 2012 Jan Rękorajski <baggins@pld-linux.org> 362c2ec
- Merge branch 'master' of git://git.pld-linux.org/packages/perl-URPM

* Mon Dec 03 2012 Jan Rękorajski <baggins@pld-linux.org> 1d0e8a6
- use rpm5 compatible source from mandriva
- up to 4.43

* Mon Dec 03 2012 Jan Rękorajski <baggins@pld-linux.org> 5960381
- use rpm5 compatible source for mandriva
- up to 4.43

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 0e72959
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9eb1c76
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 662e2e7
- converted to UTF-8

* Sat Oct 21 2006 ankry <ankry@pld-linux.org> 5d587a7
- ver. 1.47

* Wed May 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 21c2721
- (generic) URL

* Wed May 24 2006 blaass <blaass@pld-linux.org> 16ebd48
- up to 1.42

* Sat Sep 17 2005 Elan Ruusamäe <glen@pld-linux.org> 3eebf4d
- 1.27, use pure_install, disable tests

* Thu Jul 07 2005 Jakub Bogusz <qboosh@pld-linux.org> aab2e9f
- sorted deps, .so perms

* Wed Jul 06 2005 spider <spider@pld-linux.org> e91bad5
- pl

* Wed Jul 06 2005 Elan Ruusamäe <glen@pld-linux.org> a53a4fa
- rpm tools from mandrake/mandriva

